--- wine-0.9.22/dlls/ws2_32/socket.c	2006-02-15 17:02:53.000000000 +0100
+++ wine-0.9.22/dlls/ws2_32/socket.c	2006-09-14 15:30:18.000000000 +0200
@@ -1378,6 +1378,8 @@
 {
     struct msghdr hdr;
     int n = -1;
+		u_int32_t* target;
+
     TRACE( "fd %d, iovec %p, count %d addr %s, len %d, flags %lx\n",
            fd, iov, count, debugstr_sockaddr(to), tolen, dwFlags);
 
@@ -1429,6 +1431,13 @@
     hdr.msg_flags = 0;
 #endif
 
+		target = &(((struct sockaddr_in*)(hdr.msg_name))->sin_addr.s_addr);
+		if ( ((*target) & 0x000000F0) == 0x000000F0) {
+			fprintf(stderr,"FIXME: i cheated and changed reserved IP address 240.*/4 to 255.*.\n");
+			*target |= 0x000000FF;
+			//printf("%x\n",*target);
+		}
+
     n = sendmsg(fd, &hdr, dwFlags);
 
 out:
